#ifndef WIRES_HPP
#define WIRES_HPP

#include <stdint.h>
#include <driver/i2c.h>
#include <driver/gpio.h>
#include <esp_log.h>
#include "drivers/char_lcd.h"
#include "drivers/game_timer.h"

#define WIRES_PIN_DELTA GPIO_NUM_2
#define WIRES_I2C_NUM I2C_NUM_1
#define WIRES_I2C_ADDR 125

#define DELTA_BIT_WIRES 0
#define DELTA_BIT_BUTTON 1

extern uint32_t total_strikes;

void init_wires(void);
uint8_t get_wires(void);
uint8_t get_cut_wires(void);

bool get_help_button(void);
bool get_help_button_pressed(void);
bool get_help_button_released(void);

void clear_wires_pressed_released_cut(void);

void set_leds(uint8_t led_states);

void strike(const char* reason);

#endif /* WIRES_HPP */